Posts by quark007

    Ok, I got the point why it was not working: it is my special setup.


    I have a HP ProLiant Microserver, that is not able to boot directly from ODD-Devices (as the HDDs have lower ids in the SATA-Contor. That is why I used the workaround with an SD-Card (which can be configured as first boot device) where grub is running to boot from SSD. On all updates only the SSD-grub is updated, but the SD-Card grub was still the old one.


    With this tutorial (https://www.hardwareluxx.de/co…3207-81.html#post22905333) I ran my setup steps again an now everything is working as desired.


    I hope no one else is having that trouble....

    I did an upgrade to the new 4.1.1-1 (with Kernel 3.2.0-4-686-pae). After the customization of the python file (errors und apt-get update) nearly every thing is working more than well (better as with 3.x). Just MySQL is making trouble. It does not start itself and starting it manually gives me the following error:

    Code
    root@openmediavault:/var/lib/mysql# service mysql start
    Job for mariadb.service failed because the control process exited with error code.
    See "systemctl status mariadb.service" and "journalctl -xe" for details.
    root@openmediavault:/var/lib/mysql#

    systemctl is showing this:

    For me it seems to be an issue with MariaDB (10.1) and the option "NO_NEW_PRIVILEGES". I have googled a lot and many times it is mentioned to update the kernel. I did that via the OMV-Extras Plugin and selected
    "Debian GNU/Linux, with Linux 4.14.0-0.bpo.3-686-pae"
    as default. But on every reboot the old one
    "Debian GNU/Linux, with Linux 3.2.0-4-686-pae"
    is used again. My server is headless so I do not see any infos, errors or the grub-menu on startup.


    One strange thing: when i start mysqld just by typing "mysqld -v" it starts up and is working. It does not give any helpful error messages.


    Does anyone have the same issues? can someone give me a hint how to force boot with the new kernel and if this solved the problem?


    Thanks in advance,
    quark007

    Try to add that group with the following command:

    Code
    groupadd openmediavault-config

    Then reinstall oder reconfigure openmediavault

    But then all settings of OMV including nginx, mysql etc is gone, correct?
    Or is there a way to keep these settings?
    Does OMV read the settings from the conf-files of of the single services like mysql, smb...?


    In some other topics it is recommended to just uninstall plugins. Might that help?


    Update: I managed to solve the error.


    1. I did removed (with purge) openmediavault (forgot to uninstall plugins first). But the Debian system was still the same.
    1.1 added the new group (without adding users to it). Otherwise installing omv gives errors.
    2. updated the apt-repositories
    3. installed OMV via apt (by the way: all my settings like samba, nginx, mysql,..... were still there
    4. But I had error messages on opening some plugins. So I removed all of them and installed them again: now nearly everything was working.
    5. Had an issue on the Notifications-section. This post solved it


    Now the hole system is up again (had some trouble with nginx and SQL first). I will try to stay on the latest version in future.

    Ok, as you see, the main difference is the

    Code
    listen [::]:443 default_server ipv6only=off ssl deferred;

    vs.

    Code
    listen [::]:443 ssl;

    So the nginx-server is listening only to ipv6. Try to add the following line to the extra options:

    Code
    listen 443 ssl;

    Then nginx should listen to ipv4 ssl port also for this server.

    all the name based servers created with the "websites (nginx) " plugin are listening to 443, but don't seem to have the


    listen [::]:80;


    statement - isn't that neccessary to force SSL?

    This is just the IPv6 version of

    Code
    listen 80;

    so not neccessary for SSL. For use with SSL there has to be a line like

    Code
    listen 443 ssl;
    listen [::]:443 ssl;


    Do you have SSH access to the server? Then please give us the content of all files in /etc/nginx/sites-enabled/ Then we might see, where the problem arises from

    The nginx server tries to identify the local server via the host entry in the http header which is sent by the browser.
    On which port your nginx server is listening?
    Are you running it from web or in LAN area?
    I think there might be an issue with the subdomain not pointing to the right port.


    Openmediavault is configured to be the default server listening to the 80 / 443 ports. So either you change the config files (/etc/nginx/sites-enabled/) so both servers may listen to 80 or 443 just to different server_names, or you have to point the subdomain to another Port your server-config is running at.

    Nach jeder Änderung.


    Ich habe zusätzlich einige weitere Server eingerichtet für MySQL Verwaltung etc. Aber in keiner der Definitionen ist irgendwo was bezüglich des charsets eingestellt. Ich habe es auch schon mit der nginx.conf probiert. Hat auch nicht funktioniert...

    Nach der Installation von OwnCloud 8.0 (hat alles wunderbar funktioniert) bin ich im Admin-panel auf die Meldung gestoßen:

    Quote

    PHP-Zeichensatz ist nicht auf UTF-8 gesetzt
    PHP-Zeichensatz ist nicht auf UTF-8 gesetzt. Dies kann Fehler mit Nicht-ASCII Zeichen in Dateinamen verursachen. Wir empfehlen daher den Wert von 'default_charset' in der php.ini auf 'UTF-8' zu ändern.

    Also habe ich im Internet gestöbert und die php.ini gesucht. Über phpinfo(); habe ich sie gefunden (/etc/php5/fpm/php.ini) und den Wert default_charset = "UTF-8" aktiviert und geändert. Nach einem Neustart des nginx hat sich aber nichts geändert.


    Der nächste Versuch in der Datei /etc/nginx/sites-enabled/openmediavault-owncloud im Server-Bereich den Wert charset utf-8 zu setzen, war ebenfalls nicht erfolgreich. Auch ein override_charset hat mir nicht weitergeholfen. Auch großgeschrieben UTF-8 sowie kleingeschrieben utf-8 hat keinen Unterschied gemacht.


    Nun bin ich ratlos. Eigentlich stört mich die Meldung nicht, es kann aber doch nicht sein, dass ich diesen Wert nicht setzen kann... Hoffentlich kann mir jemand weiterhelfen.


    Viele Grüße
    quark007

    Does nobody have an idea how to realize this?


    Application virtualisation is not a really new topic (Sandboxing etc). Is there no possibility to outsource it to an server? I think these Citrix-Client/Server-System is offering a similar service. Has anybody tried Citrix in a VM or align with Openmediavault?


    Last chance to help me :P Otherwise I have to accept that there will be no way :(

    I don't know how i got managed to get these files deleted. But they are.


    I looked the whole Forum to find someone having same issues but I didn't find any. What I did was to try to install OwncloudSMS. As this is not working with OC6 I tried to update OC via the OC-internal updater. After having set the correct permissions to the 3rdparty directory i tried the update again. After a while I got the message that OC can be updated. From that point on I do not have access to my OMV-WebGUI. The nginx-error-log says:

    Code
    2015/03/19 10:03:15 [error] 11035#0: *9 FastCGI sent in stderr: "PHP message: PHP Warning:  require_once(openmediavault/env.conf....
    PHP message: PHP Fatal error:  require_once(): Failed opening required 'openmediavault/env.inc' (include_path='.:/usr/share/php:/var/www/openmediavault') in /var/www/openmediavault/index.php on line 23"

    everytime i try to connect the Webinterface.
    Then I looked in the /usr/share/php/openmediavault folder but it is empty. no files at all.


    Is there a way to create or download these files to be placed there? I did not manage to extract them from the ISO.


    Hope someone can help me as I really dislike setting up the system once again.


    Kind regards

    My wife has an old Acer Aspire One 751h. WIth its Intel Atom processor it is not really powerfull and does not really benefit of 2GB of Ram. To not giving it to waste, I was thinking of running the OS in a virtual machine (VitualBox) on my HP ProLiant Microserver and connecting to it via WLan.


    So I was looking for a tutorial to do so, but I was not able to find one suitable for me. So here my requirements:
    - running Win7 in a VM on the Server (therefore i can find tutorials)
    - at best a VNC-Only operating system to only connect to the VM needing as few CPU-power as possible.


    The main purpose of this laptop is surfing. But running FIrefox or Chrome with more than 10 Tabs (online shopping) the laptop slows down and sometimes is not reacting for 30 seconds. I hope that with this setup I could make surfing more comfortable.


    I am thankful for any information, tutorial or tips on how to improve the usability of the laptop.

    Alles klar, habe verstanden. Vielleicht wird sich darum ja noch gekümmert.


    HTTP/2 bringt bei kleinen Webseiten recht wenig, schon klar. Aber gerade wenn viele Dateien zu laden sind (CSS, JS, img) müsste es doch Vorteile bringen. Zudem wäre es dann auch für den nginx-Userserver verfügbar wo es mit OwnCloud, Wordpress, Joomla etc. schon einige Skripte gibt, die einiges an Traffic erzeugen. Da ich auf meinem OMV-Server zudem auch Skripte für andere Server teste, wäre ich durchaus daran interessiert auch HTTP/2 nutzen/testen zu können.
    Es eilt ja auch nicht. Wäre aber schön, wenn das bei einem Update von nginx auch berücksichtigt würde.


    Gruß quark007

    Bzgl. des ursprünglichen Themas dieses Posts: Ich habe die WebGUI angefangen auf ExtJS5 (5.1.0) zu portieren, auch dort treten die CSS Fehlermeldungen auf.

    Gibt durchaus schlimmeres. Die Anzeige der Seite scheint es bei mir nicht zu stören. Dennoch frage ich mich, wieso ein Framework solche Fehler nicht behebt. Hängt aber vermutlich mit der Kompatibilität zu alle älteren Browserversionen zusammen. Ich werde Sencha diesbezüglich dennoch einmal anschreiben.


    Warum soll HTTP2.0 für die WebGUI keine Vorteile haben? Die Verbesserungen laut Wikipedia klingen für mich durchaus relevant. Wäre für eine kurze Erklärung / einen Link sehr dankbar.


    Viele Grüße
    quark007

    Meiner Einschätzung nach ist SPDY (http/2.0) in der neuen nginx Version (1.6.2) als Modul enthalten (src/http/ngx_http_spdy). Damit müsste auch die Option möglich sein, das Plugin per Checkbox im Interface zu aktivieren.


    Oder hat jemand schon eine neuere nginx Version mit dem "alten" OMV zum Laufen gebracht? Habe bislang nur das Problem hier gelesen, wobei damals eine falsche nginx version verwendet wurde (Backport).

    Dein Bild gibt mir leider ein permission denied.

    Der Link ist aktualisiert (lag an der Referrer-Sperre)


    PS: "Das nächste Update von nginx" - um welche version handelt es sich dabei genau?

    Im nginx-Repository wird 1.6.2-1 als letzte stable angezeigt. OMV benutzt noch 1.2.1.
    Es geht mir eigentlich mehr um das SPDY-Plugin (alias HTTP/2.0). Das muss beim Build-Prozess mit ausgewählt werden. Ich hatte schon überlegt es mir selber zu kompilieren, da aber die WebGUI darauf aufbaut, habe ich mich noch nicht getraut (Zu viel ist bei Versuchen auf meinem RasPi schon schief gelaufen).


    Da können wir nicht viel machen, die CSS Deklarationen kommen aus dem ExtJS Framework.

    habe gestern das OMV-Update eingespielt und seitdem sind die CSS-Fehler weg.
    Irgend eine Idee bezüglich der hohen Ladezeiten im Firefox? Wie erwähnt: im Chrome gehts erheblich schneller.